﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Threading;

namespace RadContextMenu_SL_754354
{
    public partial class MainPage : UserControl
    {
        private DispatcherTimer Timer { get; set; }
        private Point MousePosition { get; set; }

        public MainPage()
        {
            InitializeComponent();
            this.Timer = new DispatcherTimer();
            this.Timer.Interval = new TimeSpan(0, 0, 3);
            this.Timer.Tick += timer_Tick;
        }

        private void OnMouseEnter(object sender, MouseEventArgs e)
        {
            this.Timer.Start();
        }

        void timer_Tick(object sender, EventArgs e)
        {
            this.ContextMenu.IsOpen = true;
            this.ContextMenu.PlacementRectangle = new Rect(this.MousePosition.X, this.MousePosition.Y, 0, 0);
            this.Timer.Stop();
        }

        private void OnMouseLeave(object sender, MouseEventArgs e)
        {
            this.Timer.Stop();
        }

        private void OnMouseMove(object sender, MouseEventArgs e)
        {
            this.MousePosition = e.GetPosition(null);
        }
    }
}
